# $Revision: 1.3 $, $Date: 2009/06/20 18:17:26 $
Summary:	Library to talk to FTDI's chips including the popular bitbang mode
Summary(pl.UTF-8):	Biblioteka do komunikacji z układami FTDI włącznie z trybem bitbang
Name:		libftdi
Version:	0.16
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://www.intra2net.com/de/produkte/opensource/ftdi/TGZ/%{name}-%{version}.tar.gz
# Source0-md5:	524af6f39aefa1a4e8fac12c6be0ed06
URL:		http://www.intra2net.com/de/produkte/opensource/ftdi/
BuildRequires:	boost-devel >= 1.33
BuildRequires:	libusb-devel >= 0.1.7
Requires:	libusb >= 0.1.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libftdi is a library (using libusb) to talk to FTDI's FT232BM/245BM,
FT2232C/D and FT232/245R type chips including the popular bitbang
mode.

%description -l pl.UTF-8
libftdi to biblioteka (korzystająca z libusb) służąca do komunikacji z
układami FTDI typu FT232BM/245BM, FT2232C/D i FT232/245R włącznie z
popularnym trybem bitbang.

%package devel
Summary:	Header files for libftdi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libftdi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libusb-devel >= 0.1.7

%description devel
Header files for libftdi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libftdi.

%package static
Summary:	Static libftdi library
Summary(pl.UTF-8):	Statyczna biblioteka libftdi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libftdi library.

%description static -l pl.UTF-8
Statyczna biblioteka libftdi.

%prep
%setup -q

%build
%configure \
	--with-boost-libdir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless example
rm $RPM_BUILD_ROOT%{_bindir}/simple
# maybe useful
mv $RPM_BUILD_ROOT%{_bindir}/{find_all,ftdi_find_all}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/bitbang
%attr(755,root,root) %{_bindir}/bitbang2
%attr(755,root,root) %{_bindir}/bitbang_cbus
%attr(755,root,root) %{_bindir}/bitbang_ft2232
%attr(755,root,root) %{_bindir}/ftdi_find_all
%attr(755,root,root) %{_bindir}/find_all_pp
%attr(755,root,root) %{_libdir}/libftdi.so.*.*.*
%attr(755,root,root) %{_libdir}/libftdipp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libftdi.so.1
%attr(755,root,root) %ghost %{_libdir}/libftdipp.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libftdi-config
%attr(755,root,root) %{_libdir}/libftdi.so
%attr(755,root,root) %{_libdir}/libftdipp.so
%{_libdir}/libftdi.la
%{_libdir}/libftdipp.la
%{_includedir}/ftdi.h
%{_includedir}/ftdi.hpp
%{_pkgconfigdir}/libftdi.pc
%{_pkgconfigdir}/libftdipp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libftdi.a
%{_libdir}/libftdipp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libftdi.spec,v $
Revision 1.3  2009/06/20 18:17:26  hawk
- BR boost-devel
- fixed x86_64 build

Revision 1.2  2009/05/26 07:26:23  amateja
- updated to 0.16

Revision 1.1  2008/02/07 18:40:52  qboosh
- new
